package constants

const (
	LoginServer_ListenPort = 10110

	MaterialQuality_Epic = 4
)

const (
	MaterilaId_Coin      = 1001
	MaterilaId_Diamond   = 1002
	MaterilaId_Coins     = 1003
	MaterilaId_Diamonds  = 1004
	MaterilaId_Talent    = 1005
	MaterilaId_Exp       = 10001
	MaterilaId_Energy    = 3001
	MaterilaId_Silver    = 1007
	MaterilaId_PVP       = 1016
	MaterilaId_StarStone = 1018
	MaterialId_Stam      = 1009

	MaterialId_BloodBag = 5001
)

const (
	ItemTypeDraw     = 6  //图纸
	ItemTypeRoleCard = 14 //角色卡片
)

func IsCoin(id int64) bool {
	return (MaterilaId_Coin == id)
}

func IsDiamond(id int64) bool {
	return (MaterilaId_Diamond == id)
}

func IsAnyCoin(id int64) bool {
	return (MaterilaId_Coin == id || MaterilaId_Coins == id)
}

func IsAnyDiamond(id int64) bool {
	return (MaterilaId_Diamond == id || MaterilaId_Diamonds == id)
}

func IsTalent(id int64) bool {
	return (MaterilaId_Talent == id)
}

func IsCoinOrDiamond(id int64) bool {
	return (id >= MaterilaId_Coin && id <= MaterilaId_Diamonds)
}

func IsExp(id int64) bool {
	return (MaterilaId_Exp == id)
}

func IsEquip(id int64) bool {
	return id > 1e7 && id < 1e8
}

func IsBloodBag(id int64) bool {
	return id == MaterialId_BloodBag
}

func IsEnergy(id int64) bool {
	return (MaterilaId_Energy == id)
}
